<?xml version="1.0" encoding="UTF-8"?>
<!-- <!DOCTYPE web-app
    PUBLIC "-//Sun Microsystems, Inc.//DTD Web Application 2.3//EN"
    "http://java.sun.com/dtd/web-app_2_3.dtd"> -->

<web-app  xmlns="http://java.sun.com/xml/ns/javaee" 
             version="2.5" 
             xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
             xsi:schemaLocation="http://java.sun.com/xml/ns/javaee http://java.sun.com/xml/ns/javaee/web-app_2_5.xsd"> 

  	
  
  <!-- filter -->
<filter>
 	<filter-name>CacheFilter</filter-name>
 	<filter-class>fr.inra.jouy.server.GWTCacheControlFilter</filter-class>
</filter>

<filter-mapping>
 	<filter-name>CacheFilter</filter-name>
 	<url-pattern>/*</url-pattern>
</filter-mapping>
	
  <!-- Servlets -->
<servlet>
  <servlet-name>callForLoginImpl</servlet-name>
  <servlet-class>fr.inra.jouy.server.callForEntryMethods.CallForLoginImpl</servlet-class>
</servlet>

<servlet-mapping>
  <servlet-name>callForLoginImpl</servlet-name>
  <url-pattern>/insyght/callForLogin</url-pattern>
</servlet-mapping>

<servlet>
  <servlet-name>CallForInfoDBImpl</servlet-name>
  <servlet-class>fr.inra.jouy.server.callForEntryMethods.CallForInfoDBImpl</servlet-class>
</servlet>

<servlet-mapping>
  <servlet-name>CallForInfoDBImpl</servlet-name>
  <url-pattern>/insyght/callForInfoDB</url-pattern>
</servlet-mapping>


<servlet>
  <servlet-name>callForUpdateDB</servlet-name>
  <servlet-class>fr.inra.jouy.server.callForEntryMethods.CallForUpdateDBImpl</servlet-class>
</servlet>
 
<servlet>
  <servlet-name>callForOrigAtMIGinfoDBImpl</servlet-name>
  <servlet-class>fr.inra.jouy.server.callForEntryMethods.CallForOrigAtMIGinfoDBImpl</servlet-class>
</servlet>
	
<servlet>
  <servlet-name>callForHomoBrowResu</servlet-name>
  <servlet-class>fr.inra.jouy.server.callForEntryMethods.CallForHomoBrowResuImpl</servlet-class>
</servlet>
 
<servlet>
    <servlet-name>downloadService</servlet-name>
    <servlet-class>fr.inra.jouy.server.callForEntryMethods.DownloadServlet</servlet-class>
</servlet>
 
<servlet-mapping>
  <servlet-name>callForUpdateDB</servlet-name>
  <url-pattern>/insyght/callForUpdateDB</url-pattern>
</servlet-mapping>

<servlet-mapping>
  <servlet-name>callForHomoBrowResu</servlet-name>
  <url-pattern>/insyght/callForHomoBrowResu</url-pattern>
</servlet-mapping>
	
<servlet-mapping>
  <servlet-name>callForOrigAtMIGinfoDBImpl</servlet-name>
  <url-pattern>/insyght/callForOrigAtMIGinfoDB</url-pattern>
</servlet-mapping>

<servlet-mapping>
    <servlet-name>downloadService</servlet-name>
    <url-pattern>/insyght/downloadService</url-pattern>
</servlet-mapping>

    <!-- default servlet, overide init param for sendfileSize.
    Uncomment before deploying to prod, comment for dev mode and super dev mode with jetty.
    can keep for superdevmode with tomcat
<servlet>
    <servlet-name>DefaultServletOverride</servlet-name>
    <servlet-class>org.apache.catalina.servlets.DefaultServlet</servlet-class>
    <init-param>
        <param-name>debug</param-name>
        <param-value>0</param-value>
    </init-param>
    <init-param>
        <param-name>listings</param-name>
        <param-value>false</param-value>
    </init-param>
    <init-param>
    	<param-name>sendfileSize</param-name>
    	<param-value>-1</param-value>
	</init-param>
    <load-on-startup>1</load-on-startup>
</servlet>

<servlet-mapping>
    <servlet-name>DefaultServletOverride</servlet-name>
    <url-pattern>/</url-pattern>
</servlet-mapping>
 -->
  
  <!-- Default page to serve -->
<welcome-file-list>
    <welcome-file>Insyght.html</welcome-file>
</welcome-file-list>

<!-- NOT IN USE ANYMORE, see context.xml file
<resource-ref>
	<description>postgreSQL Datasource</description>
	<res-ref-name>jdbc/postgres</res-ref-name>
	<res-type>javax.sql.DataSource</res-type>
	<res-auth>Container</res-auth>
</resource-ref>
 -->
 
</web-app>
